Package com.independentsoft.office.odf.forms

# Enum Class TabCycle

java.lang.Object
java.lang.Enum<TabCycle>
com.independentsoft.office.odf.forms.TabCycle

All Implemented Interfaces:
  `Serializable`, `Comparable<TabCycle>`, `Constable`

public enum TabCycle extends Enum<TabCycle>
Specifies how the consumer responds when the user presses the TAB key in the controls in a form. The behavior of the consumer depends on whether the form is bound to a data source.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CURRENT`
  If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order of the same form.
  `NONE`
  None
  `PAGE`
  If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order for the next form.
  `RECORDS`
  If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order of the same form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TabCycle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TabCycle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECORDS

    public static final TabCycle RECORDS
    If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order of the same form.

  - ### CURRENT

    public static final TabCycle CURRENT
    If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order of the same form.

  - ### PAGE

    public static final TabCycle PAGE
    If a user presses the TAB key in the last control of the form, the focus moves to the first control specified in the tab order for the next form.

  - ### NONE

    public static final TabCycle NONE
    None

- ## Method Details

  - ### values

    public static TabCycle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TabCycle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null